Option | Description | Values | Default
--- | --- | --- | ---
packageName | Rust crate name (convention: snake_case). |  | openapi_client
packageVersion | Rust crate version. |  | null

##
IMPORT MAPPING

Type/Alias | Imports
--- | ---

##
INSTANTIATION TYPES

Type/Alias | Instantiated By
--- | ---
array | Vec
map | Map

##
LANGUAGE PRIMITIVES

- u8
- bool
- f32
- f64
- i64
- i32
- String
- i8
- i16
- usize
- str
- u64
- u32
- isize
- char
- u16

##
RESERVED WORDS

- struct
- mod
- use
- extern
- do
- type
- while
- impl
- ref
- continue
- else
- loop
- trait
- let
- priv
- if
- static
- in
- sizeof
- enum
- as
- final
- true
- become
- virtual
- const
- fn
- for
- box
- pure
- unsafe
- mut
- yield
- offsetof
- where
- override
- typeof
- macro
- move
- proc
- alignof
- break
- false
- match
- abstract
- crate
- super
- self
- pub
- return
- unsized

Last updated on 1/9/2020